Page MenuHomePhabricator

Replace upstart with systemd unit in ::statsd
Closed, ResolvedPublic

Description

service { 'statsd':
    ensure   => running,
    enable   => true,
    provider => 'upstart',
    require  => [
        Git::Clone['statsd'],
        Npm::Install[$dir],
        File["${dir}/config.js"],
    ],
}

Event Timeline

bd808 created this task.Dec 29 2016, 5:16 AM
bd808 added a comment.Dec 29 2016, 5:35 AM

Patches should be submitted to the jessie-migration gerrit branch.

Change 329546 had a related patch set uploaded (by BryanDavis):
Convert statsd to systemd

https://gerrit.wikimedia.org/r/329546

bd808 claimed this task.Dec 29 2016, 6:24 AM
Restricted Application added a project: User-bd808. · View Herald TranscriptDec 29 2016, 6:24 AM

Change 330352 had a related patch set uploaded (by Gergő Tisza):
Convert sentry to systemd

https://gerrit.wikimedia.org/r/330352

Tgr added a comment.Jan 4 2017, 2:07 AM

Oops, sorry, wrong task.

Change 329546 merged by jenkins-bot:
Convert statsd to systemd

https://gerrit.wikimedia.org/r/329546

bd808 closed this task as Resolved.Jan 7 2017, 12:16 AM
bd808 moved this task from Needs Review/Feedback to Done on the User-bd808 board.Jan 7 2017, 12:19 AM
bd808 moved this task from Done to Archive on the User-bd808 board.